VDPAU: VdpPictureInfoMPEG4Part2 Struct Reference

VDPAU

Data Fields
VdpPictureInfoMPEG4Part2 Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for an MPEG-4 Part 2 picture. More...

`#include <vdpau.h>`

## Data Fields
VdpVideoSurface | forward_reference
VdpVideoSurface | backward_reference
MPEG 4 part 2 bitstream
Copies of the MPEG 4 part 2 bitstream fields.
int32_t | trd [2]
int32_t | trb [2]
uint16_t | vop_time_increment_resolution
uint8_t | vop_coding_type
uint8_t | vop_fcode_forward
uint8_t | vop_fcode_backward
uint8_t | resync_marker_disable
uint8_t | interlaced
uint8_t | quant_type
uint8_t | quarter_sample
uint8_t | short_video_header
uint8_t | rounding_control
uint8_t | alternate_vertical_scan_flag
uint8_t | top_field_first
uint8_t | intra_quantizer_matrix [64]
uint8_t | non_intra_quantizer_matrix [64]

## Detailed Description

Picture parameter information for an MPEG-4 Part 2 picture.

Note: References to bitstream fields below may refer to data literally parsed from the bitstream, or derived from the bitstream using a mechanism described in the specification.

## Field Documentation

## ◆ alternate_vertical_scan_flag

uint8_t VdpPictureInfoMPEG4Part2::alternate_vertical_scan_flag

## ◆ backward_reference

VdpVideoSurface VdpPictureInfoMPEG4Part2::backward_reference

Reference used by B frames. Set to VDP_INVALID_HANDLE when not used.

## ◆ forward_reference

VdpVideoSurface VdpPictureInfoMPEG4Part2::forward_reference

Reference used by B and P frames. Set to VDP_INVALID_HANDLE when not used.

## ◆ interlaced

uint8_t VdpPictureInfoMPEG4Part2::interlaced

## ◆ intra_quantizer_matrix

uint8_t VdpPictureInfoMPEG4Part2::intra_quantizer_matrix[64]

## ◆ non_intra_quantizer_matrix

uint8_t VdpPictureInfoMPEG4Part2::non_intra_quantizer_matrix[64]

## ◆ quant_type

uint8_t VdpPictureInfoMPEG4Part2::quant_type

## ◆ quarter_sample

uint8_t VdpPictureInfoMPEG4Part2::quarter_sample

## ◆ resync_marker_disable

uint8_t VdpPictureInfoMPEG4Part2::resync_marker_disable

## ◆ rounding_control

uint8_t VdpPictureInfoMPEG4Part2::rounding_control

Derived from vop_rounding_type bitstream field.

## ◆ short_video_header

uint8_t VdpPictureInfoMPEG4Part2::short_video_header

## ◆ top_field_first

uint8_t VdpPictureInfoMPEG4Part2::top_field_first

## ◆ trb

int32_t VdpPictureInfoMPEG4Part2::trb[2]

## ◆ trd

int32_t VdpPictureInfoMPEG4Part2::trd[2]

## ◆ vop_coding_type

uint8_t VdpPictureInfoMPEG4Part2::vop_coding_type

## ◆ vop_fcode_backward

uint8_t VdpPictureInfoMPEG4Part2::vop_fcode_backward

## ◆ vop_fcode_forward

uint8_t VdpPictureInfoMPEG4Part2::vop_fcode_forward

## ◆ vop_time_increment_resolution

uint16_t VdpPictureInfoMPEG4Part2::vop_time_increment_resolution

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h